Skip to main content
`Ctrl`+`K`

# DMDACreateCompatibleDMDA

Creates a `DMDA` with the same layout as given `DMDA` but with fewer or more fields

## Synopsis

    #include "petscdmda.h"
    PetscErrorCode DMDACreateCompatibleDMDA(DM da, PetscInt nfields, DM *nda)

Collective

## Input Parameters

- da - the `DMDA`

- nfields - number of fields in new `DMDA`

## Output Parameter

- nda - the new `DMDA`

## See Also

DMDA - Creating vectors for structured grids, `DM`, `DMDA`, `DMDAGetGhostCorners()`, `DMSetCoordinates()`, `DMDASetUniformCoordinates()`, `DMGetCoordinates()`, `DMDAGetGhostedCoordinates()`, `DMStagCreateCompatibleDMStag()`

## Level

intermediate

## Location

src/dm/impls/da/dacorn.c

## Examples

src/ts/tutorials/ex29.c
src/ksp/ksp/tutorials/ex70.c
src/ksp/ksp/tutorials/ex43.c

Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages